Skip to main content
GET
/
v1
/
integrations
/
forge
/
github
/
install
List Forge GitHub Integrations
curl --request GET \
  --url https://api.example.com/v1/integrations/forge/github/install
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "installation_id": 123,
    "name": "<string>",
    "repository_selection": "<string>",
    "settings_url": "<string>"
  }
]

Response

200 - application/json

Successful Response

id
string<uuid>
required

GitHub Integration ID.

For example, in the POST /v2/deployments request body, set integration_id to the value of this field.

installation_id
integer
required

GitHub installation ID.

name
string
required

GitHub accout name.

repository_selection
string | null

Whether the GitHub App install grants access to 'all' repos or only 'selected' ones. When 'selected', newly created repos are not auto-included and must be added on GitHub.

settings_url
string | null

Deep link to the install's GitHub settings page, where repo access can be edited. GitHub's installation html_url.